.container {
  display: flex;
  width: 100vw;
  height: 100vh;
  position: fixed;
  z-index: 100;
  top: 0;
  left: 0;
  justify-content: center;
  align-items: center;
  background-color: rgba(196, 196, 196, 0.459);
}

.container mat-spinner {
  z-index: 101;
  transform: translateX(-10%);
}
